## Index

### Interfaces

- IRegistrationMessage

### Variables

- EMPTY_BUFFER
- root

### Functions

- addJSON
- registerMessage

## Variables

### Const EMPTY_BUFFER

EMPTY_BUFFER: Buffer = Buffer.allocUnsafe(0)

- Defined in src/protobuf/index.ts:40

### Const root

root: Root = protobuf.Root.fromJSON(models)

- Defined in src/protobuf/index.ts:38

## Functions

### addJSON

- addJSON(json: INamespace): void

- - Defined in src/protobuf/index.ts:84

  Add a JSON definition to the existing root

  #### Parameters

  - ##### json: INamespace

    The definition imported from a json file

  #### Returns void

### registerMessage

- registerMessage(name: string, ctor: Constructor<__type>, ...dependencies: IRegistrationMessage[]): void

- - Defined in src/protobuf/index.ts:59

  Register the message to be encoded/decoded by protobufjs. The name should match the one in the model and the dependencies of the message should be provided to insure their registration.

  #### Parameters

  - ##### name: string

    The name of the message in the protobuf definition

  - ##### ctor: Constructor<__type>

    The message class

  - ##### Rest ...dependencies: IRegistrationMessage[]

    The message classes of the dependencies

  #### Returns void

Generated using TypeDoc